summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-11 22:55:31 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:55:31 +0200
commit7f15f1a01baf4fc5c5a53504936d512cb51686d6 (patch)
treee443f75da33c2f283d0a7eff35911b83743403ab
parentce5c3e49725c8f0a26247db232ee089a19cd33d5 (diff)
downloadslackbuilds-7f15f1a01baf4fc5c5a53504936d512cb51686d6.tar.gz
slackbuilds-7f15f1a01baf4fc5c5a53504936d512cb51686d6.tar.xz
system/speedcontrol: Added to 12.1 repository
-rw-r--r--system/speedcontrol/README10
-rw-r--r--system/speedcontrol/slack-desc19
-rw-r--r--system/speedcontrol/speedcontrol.SlackBuild73
-rw-r--r--system/speedcontrol/speedcontrol.info8
4 files changed, 110 insertions, 0 deletions
diff --git a/system/speedcontrol/README b/system/speedcontrol/README
new file mode 100644
index 0000000000..199e316d11
--- /dev/null
+++ b/system/speedcontrol/README
@@ -0,0 +1,10 @@
+speedcontrol is a console app to change the rotation speed of
+dvd-rom drives, to for example make them quieter while watching
+a dvd movie.
+
+Usage: Speedcontrol -x1 /dev/sr0
+
+This will set the rotation speed of /dev/sr0 to 1x (-x0 will reset
+to original speed). speedcontrol will only work as root, even
+though it displays "OK" when run as normal user (it will simply
+not work)
diff --git a/system/speedcontrol/slack-desc b/system/speedcontrol/slack-desc
new file mode 100644
index 0000000000..69d22b4b8e
--- /dev/null
+++ b/system/speedcontrol/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+speedcontrol: speedcontrol (Change rotation speed of dvd-rom drive)
+speedcontrol:
+speedcontrol: speedcontrol is a console app to change the rotation speed of
+speedcontrol: dvd-rom drives, to for example make them quieter while watching
+speedcontrol: a dvd movie.
+speedcontrol:
+speedcontrol:
+speedcontrol:
+speedcontrol:
+speedcontrol:
+speedcontrol:
diff --git a/system/speedcontrol/speedcontrol.SlackBuild b/system/speedcontrol/speedcontrol.SlackBuild
new file mode 100644
index 0000000000..2370c75814
--- /dev/null
+++ b/system/speedcontrol/speedcontrol.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for speedcontrol
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=speedcontrol
+VERSION=20041204
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+cp $CWD/speedcontrol.c ./
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+gcc -o speedcontrol $SLKCFLAGS -Wall speedcontrol.c
+
+mkdir -p $PKG/usr/sbin/
+install -m 0755 speedcontrol $PKG/usr/sbin/
+strip --strip-unneeded $PKG/usr/sbin/speedcontrol
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/speedcontrol/speedcontrol.info b/system/speedcontrol/speedcontrol.info
new file mode 100644
index 0000000000..7ffe8e4346
--- /dev/null
+++ b/system/speedcontrol/speedcontrol.info
@@ -0,0 +1,8 @@
+PRGNAM="speedcontrol"
+VERSION="20041204"
+HOMEPAGE="http://noto.de/"
+DOWNLOAD="http://noto.de/speed/speedcontrol.c"
+MD5SUM="5c50b0a62f52774cbd9f1036ade36d1b"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="rworkman"